Bug 108427 - Direct cursor: Add option to insert only spaces
Summary: Direct cursor: Add option to insert only spaces
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Samuel Mehrbrodt (CIB)
QA Contact:
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Options-Dialog
  Show dependency treegraph
 
Reported: 2017-06-09 06:26 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-07-04 15:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-06-09 06:26:00 UTC
The direct cursor in Writer (can be enabled in Tools-Options-Direct Cursor) has the following modes:
* Paragraph alignment
* Left paragraph alignment
* Tabs
* Tabs and spaces

I suggest to add a new mode:
* Spaces
Comment 1 Samuel Mehrbrodt (CIB) 2017-06-09 06:27:59 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #0)
> The direct cursor in Writer (can be enabled in Tools-Options-Direct Cursor)

It is located here: Tools -> Options -> LibreOffice Writer -> Formatting Aids -> Direct Cursor
Comment 2 Buovjaga 2017-06-11 14:10:58 UTC
Sounds good -> NEW
Comment 3 Commit Notification 2017-06-12 09:56:55 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=23cf6dbe4d35d0d9beeaa2193247c6f67a869c66

tdf#108427 Direct cursor: Add option to insert only spaces

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 kompilainenn 2017-06-19 18:25:09 UTC
IMHO, it allow users uses direct formatting even more instead using styles